NXWidgets: NXWidgets::CWidgetEventArgs Class Reference

NXWidgets 1.19

Public Member Functions | Private Attributes | List of all members
NXWidgets::CWidgetEventArgs Class Reference

`#include <cwidgeteventargs.hxx>`

Inheritance diagram for NXWidgets::CWidgetEventArgs:

## Public Member Functions
| CWidgetEventArgs (CNxWidget *source, const nxgl_coord_t x, const nxgl_coord_t y, const nxgl_coord_t vX, const nxgl_coord_t vY, const nxwidget_char_t key)
const nxgl_coord_t | getX (void) const
const nxgl_coord_t | getY (void) const
const nxgl_coord_t | getVX (void) const
const nxgl_coord_t | getVY (void) const
const nxwidget_char_t | getKey (void) const
const ECursorControl | getCursorControl (void) const
Public Member Functions inherited from NXWidgets::TEventArgs< T >
| TEventArgs (const T &source)
virtual | ~TEventArgs ()
const T & | getSource (void) const

## Private Attributes
nxgl_coord_t | m_x
nxgl_coord_t | m_y
nxgl_coord_t | m_vX
nxgl_coord_t | m_vY
nxwidget_char_t | m_key

## Detailed Description

Event arguments passed to listeners when a CNxWidget object raises an event.

Definition at line 127 of file cwidgeteventargs.hxx.

## Constructor & Destructor Documentation

## ◆ CWidgetEventArgs()

NXWidgets::CWidgetEventArgs::CWidgetEventArgs | ( | CNxWidget * | source,
|  | const nxgl_coord_t | x,
|  | const nxgl_coord_t | y,
|  | const nxgl_coord_t | vX,
|  | const nxgl_coord_t | vY,
|  | const nxwidget_char_t | key
| ) |  |
| inline

Constructor.

Parameters

  source | Pointer to the CNxWidget object that raised the event.
  x | The x coordinate of the event.
  y | The y coordinate of the event.
  vX | The x distance of the event.
  vY | The y distance of the event.
  keyCode | The keycode of the event.

Definition at line 149 of file cwidgeteventargs.hxx.

## Member Function Documentation

## ◆ getCursorControl()

const ECursorControl NXWidgets::CWidgetEventArgs::getCursorControl | ( | void |  | ) | const
| inline

Get the cursor control that generated the event. Applies only to the cursor control event.

Returns
  The cursor control that generated the event.

Definition at line 228 of file cwidgeteventargs.hxx.

## ◆ getKey()

const nxwidget_char_t NXWidgets::CWidgetEventArgs::getKey | ( | void |  | ) | const
| inline

Get the key press that generated the event. Applies only to the key press event.

Returns
  The key that generated the event.

Definition at line 216 of file cwidgeteventargs.hxx.

## ◆ getVX()

const nxgl_coord_t NXWidgets::CWidgetEventArgs::getVX | ( | void |  | ) | const
| inline

Get the x-axis mouse move distance of the mouse event. Applies only to the mouse drag event.

Returns
  The x-axis mouse move distance of the event.

Definition at line 192 of file cwidgeteventargs.hxx.

## ◆ getVY()

const nxgl_coord_t NXWidgets::CWidgetEventArgs::getVY | ( | void |  | ) | const
| inline

Get the y-axis mouse move distance of the event. Applies only to the mouse drag event.

Returns
  The y-axis mouse move distance of the event.

Definition at line 204 of file cwidgeteventargs.hxx.

## ◆ getX()

const nxgl_coord_t NXWidgets::CWidgetEventArgs::getX | ( | void |  | ) | const
| inline

Get the x coordinate of the mouse event. Applies only to the following events: mouse click, mouse double click, mouse drag, mouse release

Returns
  The x coordinate of the event.

Definition at line 168 of file cwidgeteventargs.hxx.

## ◆ getY()

const nxgl_coord_t NXWidgets::CWidgetEventArgs::getY | ( | void |  | ) | const
| inline

Get the y coordinate of the mouse event. Applies only to the following events: mouse click, mouse double click, mouse drag, mouse release

Returns
  The y coordinate of the event.

Definition at line 180 of file cwidgeteventargs.hxx.

## Member Data Documentation

## ◆ m_key

nxwidget_char_t NXWidgets::CWidgetEventArgs::m_key
| private

The key code / cursor code that raised the event.

Definition at line 134 of file cwidgeteventargs.hxx.

## ◆ m_vX

nxgl_coord_t NXWidgets::CWidgetEventArgs::m_vX
| private

X distance moved during event, for dragging.

Definition at line 132 of file cwidgeteventargs.hxx.

## ◆ m_vY

nxgl_coord_t NXWidgets::CWidgetEventArgs::m_vY
| private

Y distance moved during event, for dragging.

Definition at line 133 of file cwidgeteventargs.hxx.

## ◆ m_x

nxgl_coord_t NXWidgets::CWidgetEventArgs::m_x
| private

X coordinateinate of the event.

Definition at line 130 of file cwidgeteventargs.hxx.

## ◆ m_y

nxgl_coord_t NXWidgets::CWidgetEventArgs::m_y
| private

Y coordinateinate of the event.

Definition at line 131 of file cwidgeteventargs.hxx.

The documentation for this class was generated from the following file:

- cwidgeteventargs.hxx